class HEIRS
  -- Produce the plantuml inheritance graph of a given class
create {} process
feature {}
  process do
         if not args.parse_command_line then
            -- Invalid options, print help and exit
            args.usage(std_error)
            die_with_code(1)
         end

         if opt_verbose.is_set then
            io.put_string("Verbosity level: ")
            io.put_integer(opt_verbose.item)
            io.put_new_line
         end

         -- Print a simple MLA-like citation:

         io.put_string("Producing PlantUML graph for '#(1)'.%N" # arg_esaminanda.item)
      end

feature {}
   factory: COMMAND_LINE_ARGUMENT_FACTORY
      once
         create Result
      end

   args: COMMAND_LINE_ARGUMENTS
      once
         -- Options which may be used together are composed with "and"
         create Result.make(modifiers and (+arg_esaminanda) )
         -- Unary operator "+" makes an option mandatory;
         -- positional arguments are always mandatory.
         --
         -- Mutually exclusive options or groups of options
         -- are composed with "or"
       end

feature {} -- Argument groups
   modifiers: COMMAND_LINE_ARGUMENT
      once
         Result := opt_verbose
      end

feature {} -- Individual arguments
   opt_verbose: COMMAND_LINE_TYPED_ARGUMENT[INTEGER_32]
      once
         Result := factory.option_counter("v", "verbose", "Verbose output (repeat option to increase verbosity level)")
      end

   arg_esaminanda: COMMAND_LINE_TYPED_ARGUMENT[FIXED_STRING]
      once
        Result := factory.positional_string("examinanda class", "The name of the class to be examined")
      end

end -- class HEIRS
